Software Open Access

gklyne/annalist: Python 3 support, HTTPS proxying and dependent package updates

gklyne


DataCite XML Export

<?xml version='1.0' encoding='utf-8'?>
<resource xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://datacite.org/schema/kernel-4" xsi:schemaLocation="http://datacite.org/schema/kernel-4 http://schema.datacite.org/meta/kernel-4.1/metadata.xsd">
  <identifier identifierType="DOI">10.5281/zenodo.1487815</identifier>
  <creators>
    <creator>
      <creatorName>gklyne</creatorName>
      <affiliation></affiliation>
    </creator>
  </creators>
  <titles>
    <title>gklyne/annalist: Python 3 support, HTTPS proxying and dependent package updates</title>
  </titles>
  <publisher>Zenodo</publisher>
  <publicationYear>2018</publicationYear>
  <dates>
    <date dateType="Issued">2018-11-14</date>
  </dates>
  <resourceType resourceTypeGeneral="Software"/>
  <alternateIdentifiers>
    <alternateIdentifier alternateIdentifierType="url">https://zenodo.org/record/1487815</alternateIdentifier>
  </alternateIdentifiers>
  <relatedIdentifiers>
    <relatedIdentifier relatedIdentifierType="URL" relationType="IsSupplementTo">https://github.com/gklyne/annalist/tree/release-0.5.12</relatedIdentifier>
    <relatedIdentifier relatedIdentifierType="DOI" relationType="IsVersionOf">10.5281/zenodo.594496</relatedIdentifier>
  </relatedIdentifiers>
  <version>release-0.5.12</version>
  <rightsList>
    <rights rightsURI="info:eu-repo/semantics/openAccess">Open Access</rights>
  </rightsList>
  <descriptions>
    <description descriptionType="Abstract">&lt;p&gt;This is a maintenance release, with no significant changes in functionality.  Package dependencies have been updated to latest versons (Except Django is updated to 1.11, the last release to support Python 2).&lt;/p&gt;
&lt;p&gt;All code has been updated to run under Python 3.7, but package dependencies Django 1.11 and rdflib-jsonld 0.4.0 are not ready (though easily patched).&lt;/p&gt;
&lt;p&gt;The OpenID connect login code has been updated to use a newer support library, a consequence of which is that HTTPS must be used to access Annalist, which would be achieved by running Annalist behind a robust HTTP server such as Apache HTTPD or Nginx.  (The Annalist installation document has initial instructions for installation with Apache, including installation of a "LetsEncrypt" certificate.)&lt;/p&gt;
&lt;p&gt;The test suite has been updated to cover &lt;code&gt;annalist-manager&lt;/code&gt; functionality.&lt;/p&gt;</description>
  </descriptions>
</resource>
61
2
views
downloads
All versions This version
Views 614
Downloads 22
Data volume 249.4 MB249.4 MB
Unique views 584
Unique downloads 11

Share

Cite as